#!/usr/bin/python3
import config
# Import flask and template operators
from flask import Flask, render_template


# Define the WSGI application object
app = Flask(__name__,
            template_folder=config.template_dir,
            static_folder=config.static_folder)

# Configurations
app.config.from_object(config.current_mode)

# Sample HTTP error handling
@app.errorhandler(404)
def not_found(error):
    return render_template('404.html'), 404


from applications.fileshare.views import filemgr

app.register_blueprint(filemgr)