import os

# This config.py file will create new settings what can be passed to Flask app
BASE_DIR = os.path.abspath(os.path.dirname(__file__))
# template_dir = os.path.abspath('applications/fileshare/templates/')
# static_folder = os.path.abspath('applications/fileshare/static/')
# share_folder = os.path.abspath('applications/fileshare/sharedfiles/')

template_dir = os.path.abspath(f'{BASE_DIR}/applications/fileshare/templates/')
static_folder = os.path.abspath(f'{BASE_DIR}/applications/fileshare/static/')
share_folder = os.path.abspath(f'{BASE_DIR}/applications/fileshare/sharedfiles/')


# Change current_mode to what mode you want run the app
# *****************************************************
current_mode = 'config.DevelopmentConfig'
# *****************************************************


class Config:
    DEBUG = False
    DEVELOPMENT = False
    SECRET_KEY = os.getenv("SECRET_KEY", "F5g$-9k-B1o-Drhk6e-We!")
    WTF_CSRF_SECRET_KEY = os.getenv("WTF_CSRF_SECRET_KEY", 'Br_0N50-$47FuNw-op')
    
    ALLOWED_EXTENSIONS = {'text': ['txt', 'pdf', 'doc', 'docx', 'csv', 'xls',
                        'xlsx'], 'excel': ['csv', 'xls', 'xlsx'],
                        'image': ['png', 'jpg', 'jpeg', 'gif']}

    CSRF_ENABLED = True
    CSRF_SESSION_KEY = os.getenv("CSRF_SESSION_KEY", "F5g$-9k-B1o-Drhk6e-We!")


class ProductionConfig(Config):
    pass


class StagingConfig(Config):
    DEBUG = True


class DevelopmentConfig(Config):
    DEBUG = True
    DEVELOPMENT = True